Hide seam lines

Hi,

This may be a rather simple issue, but I haven't found the solution anywhere. I'm drawing simple objects such as solid spheres or cylinders. I have set the number of iso lines to 0 because I want to show only the solid object. However, I am still getting lines -- for instance, in the case of a sphere, an ugly half-circle appears from north to south.

I realised after some investigation that it's not an iso line but a seam line instead. How can I turn those off so that they don't show up?

Thanks,

Stig

stigk's picture

Never mind:

Context()->DefaultDrawer()->SetUnFreeBoundaryDraw(false);

shin dongsun's picture

I use OCC 6.7.1 and I tried the above.

But it doesn't work. the uv iso display is on.

I searched about this.

The uv iso display set by the line below.

    Handle(Prs3d_IsoAspect) hia = new Prs3d_IsoAspect(clr, Aspect_TOL_SOLID, 2.0, 1);
    hia->SetNumber(0); // 1 is used when i need to see the iso.
    hAISPrs->GetAIS()->Attributes()->SetUIsoAspect(hia);
    hAISPrs->GetAIS()->Attributes()->SetVIsoAspect(hia);

Giovanni Bettega's picture
TopoDS_Shape shape = BRepPrimAPI_MakeSphere::BRepPrimAPI_MakeSphere(BRep_Tool::Pnt(gp_Pnt(0,0,0),10)
Handle(AIS_Shape) aShape = new AIS_Shape(shape);
Attributes()->SetFaceBoundaryDraw(false);

the display

Giovanni

Attachments: